<?php

namespace App\Modules\Mini\Controllers;

use App\Base\BaseController;
use App\Modules\Mini\Services\OrderService;
use Illuminate\Support\Facades\Auth;

class OrderController extends BaseController
{
    public function paginate()
    {
        $params = $this->valid([
            "page_size" => "",
        ]);
        $paginate = app(OrderService::class)->paginate(Auth::id(), $params);
        return $this->ok($paginate);
    }
}
